<?php
if ( ! isset( $content_width ) )
	$content_width = 630;

if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => __( 'Sidebar Widget Area' ),
		'id' => 'sidebar-widget-area',
		'description' => __( 'The sidebar widget area' ),
		'before_widget' => '<div class="widgetBlock">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',        
    ));
	register_sidebar( array(
		'name' => __( 'Footer Widget Area' ),
		'id' => 'footer-widget-area',
		'description' => __( 'The footer widget area' ),
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '',
		'after_title' => '',
	) );
    
function my_init_method() {
    if (!is_admin()) {
        wp_deregister_script( 'jquery' );
        wp_register_script( 'jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.4.3/jquery.min.js');
        wp_enqueue_script( 'jquery' );
    }


if ( !is_admin() ) {
   wp_register_script('custom_script',
       get_bloginfo('template_directory') . '/js/custom-jquery-script.js');
   wp_enqueue_script('custom_script');
   }       
}

add_action('init', 'my_init_method');

add_editor_style();
add_theme_support('post-thumbnails');
add_theme_support( 'automatic-feed-links' );

if ( is_singular() ) wp_enqueue_script( "comment-reply" );

if ( ! function_exists( 'all_orange_posted_on' ) ) :

function all_orange_posted_on() {
	echo '<div class="dated">';
	echo '<div class="postmeta posted-on">Posted on <span><a href="';
	echo the_permalink();
	echo '">';
	echo the_time( get_option( 'date_format' ) );
	echo '</a></span>';
	echo '</div>';
	echo '<div class="postmeta posted-by"><span class="written-by"> by ';
	echo get_the_author();
	echo '</span></div>';
	echo '<p class="righttxt">';
	echo comments_popup_link('No Comments', '1 Comment', '% Comments', '', '');
	echo '</p>';
	echo '</div>';
}
	
endif;

if ( ! function_exists( 'all_orange_posted_in' ) ) :

function all_orange_posted_in() {
     echo 'Posted in ';
     echo the_category(', ');
     echo edit_post_link('Edit', '', ' | ');
     /*echo ' ';
     echo comments_popup_link('No Comments', '1 Comment', '% Comments', '', '');*/ //uncomment if needed
	}
endif;


?>